http://appmesh.{region}.amazonaws.com/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}Updates an existing route for a specified service mesh and virtual router.
The name of the service mesh that the route resides in.
The name of the route to update.
The name of the virtual router that the route is associated with.
The Amazon Web Services IAM account ID of the service mesh owner. If the account ID is not your own, then it's the ID of the account that shared the mesh with your account. For more information about mesh sharing, see <a href="https://docs.aws.amazon.com/app-mesh/latest/userguide/sharing.html">Working with shared meshes</a>.
An object that represents a route specification. Specify one route type.
Unique, case-sensitive identifier that you provide to ensure the idempotency of the request. Up to 36 letters, numbers, hyphens, and underscores are allowed.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://appmesh.{region}.amazonaws.com/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://appmesh.{region}.amazonaws.com/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}Updates an existing route for a specified service mesh and virtual router.
The name of the service mesh that the route resides in.
The name of the route to update.
The name of the virtual router that the route is associated with.
The Amazon Web Services IAM account ID of the service mesh owner. If the account ID is not your own, then it's the ID of the account that shared the mesh with your account. For more information about mesh sharing, see <a href="https://docs.aws.amazon.com/app-mesh/latest/userguide/sharing.html">Working with shared meshes</a>.
An object that represents a route specification. Specify one route type.
Unique, case-sensitive identifier that you provide to ensure the idempotency of the request. Up to 36 letters, numbers, hyphens, and underscores are allowed.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://appmesh.{region}.amazonaws.com/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}